/*
Theme Name: Prime Car Wash Child Theme
Template: miocommerce-olympus-block-theme-main
Version: 1.2.3
*/

/* Defaults
---------------------------------------- */

*,
*::before,
*::after {
	box-sizing: border-box;
}

html {
	scroll-behavior: smooth;
	scroll-padding-top:150px;
}

body{
	scroll-padding-top:150px;
}

header{
	position:relative;
	z-index:2;
}

a,
button,
input:focus,
input[type="button"],
input[type="submit"],
textarea:focus,
.wp-element-button {
	transition: all 0.2s ease-in-out;
}

a,
a:focus,
a:hover,
a:not(.wp-element-button) {
	text-decoration-thickness: 1px;
}

b,
strong,
th {
	font-weight: var(--wp--custom--font-weight--medium);
}

mark {
	background: linear-gradient(90deg, var(--wp--preset--color--primary) 0%, var(--wp--preset--color--primary) 100%);
	background-position: 0 85%;
	background-repeat: repeat-x;
	background-size: 100% 15%;
}

h1,
h2,
.wp-block-button__link,
.learn-more-link,
.olympus-main-nav-submenu-item,
.olympus-main-nav-item,
.main-nav-primary-link-mobile,
.location-top-bar,
.prime-franchise-menu-item,
.olympus-footer-link{
	text-transform: capitalize;
}

/* -- Forms -- */

input,
select,
textarea {
	background-color: var(--wp--preset--color--base);
	border: 1px solid var(--wp--preset--color--contrast);
	border-radius: 0;
	color: var(--wp--preset--color--contrast);
	font-family: var(--wp--preset--font-family--primary);
	font-size: var(--wp--preset--font-size--medium);
	font-weight: var(--wp--custom--font-weight--light);
	line-height: var(--wp--custom--line-height--body);
	padding: 10px 20px;
	width: 100%;
}

input:focus,
textarea:focus {
	background-color: var(--wp--preset--color--neutral);
	outline: none;
}

input[type="checkbox"],
input[type="image"],
input[type="radio"] {
	width: auto;
}

input[type="button"],
input[type="email"],
input[type="search"],
input[type="submit"],
input[type="text"],
textarea {
	-webkit-appearance: none;
}

::placeholder {
	color: var(--wp--preset--color--contrast);
	font-size: var(--wp--preset--font-size--small);
	opacity: 0.5;
}

/* Blocks
---------------------------------------- */

/* -- Code -- */

*:not(.wp-block-code) > code {
	background-color: var(--wp--preset--color--neutral);
	font-size: var(--wp--preset--font-size--small);
	padding: 5px 8px;
}

/* -- Navigation -- */

.wp-block-navigation__responsive-container.is-menu-open {
	padding: var(--wp--custom--spacing--gap);
}

.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content {
	padding-top: var(--wp--custom--spacing--gap);
}

.wp-block-navigation__responsive-container-close,
.wp-block-navigation__responsive-container-open {
	border: 1px solid currentColor;
	padding: 2px;
}

.has-background .wp-block-navigation__responsive-container-open:focus,
.has-background .wp-block-navigation__responsive-container-open:hover {
	color: var(--wp--preset--color--base);
}

/* -- Navigation Submenu -- */

.wp-block-navigation:not(.has-background) .wp-block-navigation__submenu-container {
	background-color: var(--wp--preset--color--contrast);
	border: var(--wp--preset--color--contrast);
	color: var(--wp--preset--color--base);
	padding: 10px;
}

.wp-block-navigation :where(.wp-block-navigation__submenu-container) a {
	padding: 2px 10px;
}

/* -- Buttons -- */
.wp-block-button{
	transform:translateY(0);
	transition:all 200ms ease;
}

.wp-block-button:hover{
	transform:translateY(-2px);
}


.wp-block-button.is-style-arrow-black > .wp-block-button__link,
.wp-block-button.is-style-arrow-white > .wp-block-button__link{
	position:relative;
	display:flex;
	align-items:center;
	justify-content: center;
	gap:10px;
}

.wp-block-button.is-style-arrow-black > .wp-block-button__link:after,
.wp-block-button.is-style-arrow-white > .wp-block-button__link:after{
	height:21px;
}

.wp-block-button.is-style-arrow-black > .wp-block-button__link:after{
	content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' height='16' width='16' viewBox='0 0 512 512'%3E%3C!--!Font Awesome Pro 6.5.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2024 Fonticons, Inc.--%3E%3Cpath d='M464 256c0-114.9-93.1-208-208-208c-13.3 0-24-10.7-24-24s10.7-24 24-24C397.4 0 512 114.6 512 256s-114.6 256-256 256c-13.3 0-24-10.7-24-24s10.7-24 24-24c114.9 0 208-93.1 208-208zM232.3 134.4l112 104c4.9 4.5 7.7 10.9 7.7 17.6s-2.8 13-7.7 17.6l-112 104c-9.7 9-24.9 8.5-33.9-1.3s-8.5-24.9 1.3-33.9L266.9 280H24c-13.3 0-24-10.7-24-24s10.7-24 24-24H266.9l-67.2-62.4c-9.7-9-10.3-24.2-1.3-33.9s24.2-10.3 33.9-1.3z'/%3E%3C/svg%3E");
}

.wp-block-button.is-style-arrow-white > .wp-block-button__link:after{
	content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='white' height='16' width='16' viewBox='0 0 512 512'%3E%3C!--!Font Awesome Pro 6.5.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2024 Fonticons, Inc.--%3E%3Cpath d='M464 256c0-114.9-93.1-208-208-208c-13.3 0-24-10.7-24-24s10.7-24 24-24C397.4 0 512 114.6 512 256s-114.6 256-256 256c-13.3 0-24-10.7-24-24s10.7-24 24-24c114.9 0 208-93.1 208-208zM232.3 134.4l112 104c4.9 4.5 7.7 10.9 7.7 17.6s-2.8 13-7.7 17.6l-112 104c-9.7 9-24.9 8.5-33.9-1.3s-8.5-24.9 1.3-33.9L266.9 280H24c-13.3 0-24-10.7-24-24s10.7-24 24-24H266.9l-67.2-62.4c-9.7-9-10.3-24.2-1.3-33.9s24.2-10.3 33.9-1.3z'/%3E%3C/svg%3E");
}

.wp-block-button:not(.no-round) .wp-block-button__link{
	border-top-right-radius:40px;
}

.wp-block-button:not(.no-round).inverse .wp-block-button__link{
	border-top-right-radius:5px;
	border-bottom-left-radius:40px;
}

.wp-block-button:not(.no-round).nav-btn-1:not(:last-child) .wp-block-button__link{
	border-top-right-radius:5px;
	border-bottom-left-radius:40px;
}

.wp-block-button:not(.no-round).nav-btn-2 .wp-block-button__link{
	background:var(--wp--preset--color--secondary);
}


.olympus-services.accelerator .service-card-chevron-up{
	display:none;
}

.olympus-services.accelerator .small-service-card-info-appear{
	overflow:visible;
	max-height:unset;
	opacity:1;
}

.olympus-services.accelerator .c-service-card__content{
	border-radius:10px;
	border-top-right-radius:80px;
	border-bottom-left-radius: 10px;
	margin-bottom:-40px;
}

.olympus-services.accelerator .c-service-card{
	margin-bottom:60px;
}

.c-service-card__content h3{
	font-weight:500;
}

.c-service-card__content .service-tags-container.left{
	justify-content:flex-end;
	padding-right:80px;
}

.small-service-card-info-appear p{
	font-weight:500;
}

.olympus-home-hero.ace .olympus-home-hero-overlay{
	transform: rotate(180deg);
}

.olympus-main-nav-item{
	font-weight:500;
}

@media screen and (max-width: 767px){
	.olympus-services.accelerator .c-service-card__content{
		margin-bottom:0px;
		bottom:-35px;
	}
}


/* Others
---------------------------------------- */
.service-tags-container{
	width:100%;
	display:flex;
	align-items:center;
	flex-wrap:wrap;
	justify-content: flex-start;
}
.service-tags-container.floating{
	position:absolute;
	top:-15px;
	left:0;
	z-index:36;
	justify-content:flex-end;
}
.service-tags-container.left{
	justify-content:flex-start;
}
.service-tag{
	padding: 2px 10px;
	border-radius:15px;
	font-size:0.8em;
	margin:0 10px 0 0;
	text-decoration:none;
}

.service-tags-container.left .service-tag{
	margin:0 0 0 10px;
}
  

/* Media Queries
---------------------------------------- */

@media only screen and (max-width: 600px) {

	/* -- Utility -- */

	.is-style-hidden-mobile {
		display: none !important;
	}

}

@media only screen and (max-width: 782px) {

	/* -- Columns -- */

	.is-style-columns-reverse {
		flex-direction: column-reverse;
	}

}

@media (min-width: 1056px) {
	.hide-on-desktop:not(.wp-block) {
	  display: none !important;
	}
  }
  
  @media (max-width: 1055px) {
	.hide-on-tablet:not(.wp-block) {
	  display: none !important;
	}
  }
  
  @media (max-width: 599px) {
	.hide-on-mobile:not(.wp-block) {
	  display: none !important;
	}
  }

